Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-11477

Add Security fixes to 6.25.1 and 7.12.1 release notes

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Normal
    • Resolution: Fixed
    • PUP 6.25.1, PUP 6.26.0
    • PUP 7.12.1, PUP 6.25.1
    • Docs
    • None
    • Needs Assessment
    • Needs Assessment

    Description

      Puppet Version: 6.26.0
      Puppet Server Version: 6.18.0
      OS Name/Version: 20.04

      We've upgraded our Puppet Agents and Puppetservers to 6.26.0 and 6.18.0, but didn't upgrade PuppetDB. PuppetDB stayed at 6.13.1. This broke catalog imports into PuppetDB.

      Desired Behavior:

      Add a warning into the Puppet Agent Changelog that PuppetDB must be upgraded as well.

      Actual Behavior:

      Puppet Agent Changelog doesn't mention anything about a CVE being fixed nor does it mention the dependency to the PuppetDB update.

      This is only mentioned in the PuppetDB 6.19.1 changelog -> https://puppet.com/docs/puppetdb/6/release_notes.html#puppetdb-6191

      Attachments

        Activity

          People

            parker.leach Parker Leach
            baurmatt Matthias Baur
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Zendesk Support